---
classes:
  - roles::snapshot_farmsync_target
  - roles::nfs_server
  - roles::snapshot_db
  - roles::postgresql::server

roles::nfs_server::allow_client_access: ['172.29.188.0/24']

dsa::debmon::kernel_tainted_ignore_bit: [11] # firmware_workaround

mon::icinga2_services:
  service::disk:
    /storage/snapshot-farm-202309-10: { wfree: '3%', cfree: '2%' }

postgres::backup_server::register_backup_clienthost::allow_read_hosts: ['snapshot-mlm-01']
roles::postgresql::server::manage_clusters_hba: true
roles::snapshot_db::db_port: 5442
roles::snapshot_db::guest_addresses: ['185.17.185.176/28', '2001:1af8:4020:b030::/64'] # leaseweb
roles::snapshot_db::upstream_db_server: snapshot-mlm-01.debian.org
roles::snapshot_db::upstream_db_port: 5442
